Link List
List links with paginated search. Text searches match titles, descriptions, and URLs. URL and domain searches match HTTP and HTTPS forms with or without www, while distinguishing different hostnames. Search does not create or refresh links. Requires View Links permission.
List links with paginated search. Text searches match titles, descriptions, and URLs. URL and domain searches match HTTP and HTTPS forms with or without www, while distinguishing different hostnames. Search does not create or refresh links. Requires View Links permission.
storyden-session<token>q?stringSearch query string.
0 <= lengthpage?stringPagination query parameters.
Link list.
application/json- response
To be composed with paginated resource responses.
page_size*integerresults*integertotal_pages*integercurrent_page*integernext_page?integerlinks*array<>curl -X GET 'https://example.com/api/links'{ "page_size": 0, "results": 0, "total_pages": 0, "current_page": 0, "next_page": 0, "links": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "url": "string", "slug": "string", "domain": "string", "title": "string", "description": "string", "favicon_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "primary_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "liveness_status": "unknown", "liveness_checked_at": "2019-08-24T14:15:22Z", "scrape_status": "pending", "scrape_attempted_at": "2019-08-24T14:15:22Z", "scraped_at": "2019-08-24T14:15:22Z" } ]}Link Get GET
Get the details for a specific link by its slug, including scraped metadata and the assets, nodes, and posts associated with it.
Datagraph Matches GET
Query the datagraph optimised for typeahead scenarios. This endpoint is only active when a `SEARCH_PROVIDER` that supports fast access is used. This includes providers such as Bleve and Redis. This endpoint will return a minified set of results directly from the configured search index, without hitting the database. This makes it suitable for performance sensitive use-cases such as type-ahead search, @ mentioning threads/pages, CTRL+K style menus, and more. Results will include a `kind` field and short content, but will not contain graph edges (such as authorship, links, etc.) due to constraints of the underlying search index and to keep payload sizes smaller.